function [xe,ye]=ellipplot_OK(P,gamma,ecolor,xc)
%ELLIPPLOT Internal function for plotting ellipsoid

if nargin<4
   xc = zeros(length(P),1);
end

if nargin<3
   ecolor = [1 0 0];
end

if nargin<2
   gamma = 1;
end

P = (P/gamma);
% P=chol(P);

theta = linspace(-pi,pi,1000);
z = [cos(theta); sin(theta)];

for i=1:length(theta)
    r(i) = sqrt(z(:,i)'*P*z(:,i));
    x(:,i) = P*z(:,i)/r(i);
end

for n=1:length(x)
  x(:,n)=x(:,n)+xc;
end;

% fill(x(1,:),x(2,:),ecolor)
xlabel('x1')
ylabel('x2')
plot(x(1,:),x(2,:),'Color',ecolor);