[s8,cc8,v8] = polynomial(x,s8_deg);
F8 = hessian(Vx)-s8*px;
params = cc8;

Model = [sos(F8),sos(s8)];
ops = sdpsettings('sos.model',1,'sos.postprocess',1,'sos.numblkdg',1e-10,'solver','sdpt3','sdpt3.gaptol',1e-12,'sdpt3.inftol',1e-12,'sdpt3.steptol',1e-10,'sdpt3.maxit',100);
%ops = sdpsettings('solver','mosek','mosek.MSK_DPAR_INTPNT_CO_TOL_DFEAS',optacc,'mosek.MSK_DPAR_INTPNT_CO_TOL_PFEAS',optacc,'mosek.MSK_DPAR_INTPNT_CO_TOL_REL_GAP',optacc,'sos.numblkdg',1e-10,'sos.model',1,'sos.postprocess',1);
%ops = sdpsettings(ops,'mosek.MSK_IPAR_PRESOLVE_USE','MSK_PRESOLVE_MODE_OFF','mosek.MSK_IPAR_INTPNT_SCALING','MSK_SCALING_NONE');
[sol,v,Qs,res] =solvesos(Model,[],ops,params);
sprob_s8 = sol.problem
if (max(res) > 1e-6)
    sprob_s8 = -10
end

Cc8 = value(cc8);
S8 = Cc8'*v8;
