function point_gamma = Point_Vx_2D_mod(Vxc)
%UNTITLED2 Summary of this function goes here
%   Detailed explanation goes here
global A B Hxp incr Ku

Xpoly = Polyhedron(Hxp,ones(size(Hxp,1),1));

x1max = 5;
x2max = 5;
x1 = linspace(-x1max,x1max,100);
x2 = linspace(-x2max,x2max,100);

len1 = length(x1);
len2 = length(x2);

if (length(Vxc) == 3)
    LForder = 2;
elseif(length(Vxc) == 42)
    LForder = 8;
elseif(length(Vxc) == 25)
    LForder = 6;
end
%if (length(Vxc) == 3)
%    %2nd order LF
%    Vxv = [x(1)^2;x(1)*x(2);x(2)^2];
%    Vpv = [xp(1)^2;xp(1)*xp(2);xp(2)^2];
%elseif (length(Vxc) == 42)
%    %8th order LF
%    Vxv =     [x(1)^2; x(1)*x(2); x(2)^2; x(1)^3; x(1)^2*x(2);x(1)*x(2)^2;...
%               x(2)^3; x(1)^4; x(1)^3*x(2); x(1)^2*x(2)^2; x(1)*x(2)^3; x(2)^4;...
%               x(1)^5; x(1)^4*x(2); x(1)^3*x(2)^2; x(1)^2*x(2)^3; x(1)*x(2)^4; x(2)^5;...
%               x(1)^6; x(1)^5*x(2); x(1)^4*x(2)^2; x(1)^3*x(2)^3; x(1)^2*x(2)^4; x(1)*x(2)^5;...
%               x(2)^6; x(1)^7; x(1)^6*x(2); x(1)^5*x(2)^2; x(1)^4*x(2)^3; x(1)^3*x(2)^4;...
%               x(1)^2*x(2)^5; x(1)*x(2)^6; x(2)^7; x(1)^8; x(1)^7*x(2); x(1)^6*x(2)^2;...
%               x(1)^5*x(2)^3; x(1)^4*x(2)^4; x(1)^3*x(2)^5; x(1)^2*x(2)^6; x(1)*x(2)^7; x(2)^8];
%    Vpv =     [xp(1)^2; xp(1)*xp(2); xp(2)^2; xp(1)^3; xp(1)^2*xp(2);x(1)*xp(2)^2;...
%               xp(2)^3; xp(1)^4; xp(1)^3*xp(2); xp(1)^2*xp(2)^2; xp(1)*xp(2)^3; xp(2)^4;...
%               xp(1)^5; xp(1)^4*xp(2); xp(1)^3*xp(2)^2; xp(1)^2*xp(2)^3; xp(1)*xp(2)^4; xp(2)^5;...
%               xp(1)^6; xp(1)^5*xp(2); xp(1)^4*xp(2)^2; xp(1)^3*xp(2)^3; xp(1)^2*xp(2)^4; xp(1)*xp(2)^5;...
%               xp(2)^6; xp(1)^7; xp(1)^6*xp(2); xp(1)^5*xp(2)^2; xp(1)^4*xp(2)^3; xp(1)^3*xp(2)^4;...
%               xp(1)^2*xp(2)^5; xp(1)*xp(2)^6; xp(2)^7; xp(1)^8; xp(1)^7*xp(2); xp(1)^6*xp(2)^2;...
%               xp(1)^5*xp(2)^3; xp(1)^4*xp(2)^4; xp(1)^3*xp(2)^5; xp(1)^2*xp(2)^6; xp(1)*xp(2)^7; xp(2)^8];
%
%
%else
%    disp('LF order unaccounted for. Exiting')
%    point_gamma = [];
%    return
%end

X1 =[]; X2=[];

for i=1:len1
    for j=1:len2

            x = [x1(i);x2(j)];
            if (LForder == 2)
                Vxvv = [x(1)^2; x(1)*x(2); x(2)^2];
            elseif (LForder == 8)
               Vxvv = [x(1)^2; x(1)*x(2); x(2)^2; x(1)^3; x(1)^2*x(2);x(1)*x(2)^2;...
               x(2)^3; x(1)^4; x(1)^3*x(2); x(1)^2*x(2)^2; x(1)*x(2)^3; x(2)^4;...
               x(1)^5; x(1)^4*x(2); x(1)^3*x(2)^2; x(1)^2*x(2)^3; x(1)*x(2)^4; x(2)^5;...
               x(1)^6; x(1)^5*x(2); x(1)^4*x(2)^2; x(1)^3*x(2)^3; x(1)^2*x(2)^4; x(1)*x(2)^5;...
               x(2)^6; x(1)^7; x(1)^6*x(2); x(1)^5*x(2)^2; x(1)^4*x(2)^3; x(1)^3*x(2)^4;...
               x(1)^2*x(2)^5; x(1)*x(2)^6; x(2)^7; x(1)^8; x(1)^7*x(2); x(1)^6*x(2)^2;...
               x(1)^5*x(2)^3; x(1)^4*x(2)^4; x(1)^3*x(2)^5; x(1)^2*x(2)^6; x(1)*x(2)^7; x(2)^8];
            elseif (LForder == 6)
               Vxvv = [x(1)^2; x(1)*x(2); x(2)^2; x(1)^3; x(1)^2*x(2);x(1)*x(2)^2;...
               x(2)^3; x(1)^4; x(1)^3*x(2); x(1)^2*x(2)^2; x(1)*x(2)^3; x(2)^4;...
               x(1)^5; x(1)^4*x(2); x(1)^3*x(2)^2; x(1)^2*x(2)^3; x(1)*x(2)^4; x(2)^5;...
               x(1)^6; x(1)^5*x(2); x(1)^4*x(2)^2; x(1)^3*x(2)^3; x(1)^2*x(2)^4; x(1)*x(2)^5;...
               x(2)^6 ];
            elseif (LForder == 4)
                Vxvv = [x(1)^2; x(1)*x(2); x(2)^2; x(1)^3; x(1)^2*x(2);x(1)*x(2)^2;...
               x(2)^3; x(1)^4; x(1)^3*x(2); x(1)^2*x(2)^2; x(1)*x(2)^3; x(2)^4 ];
            end
            
           Vxval = Vxc'*Vxvv;
            if ((Vxval <=1) && (Vxval >= 0.99))
                    X1 = [X1;x1(i)];
                    X2 = [X2;x2(j)];
                end
    end
end
X = [X1 X2];
% [K,V] = convhulln(X);
num_points = length(X1);
for i = 1:num_points
    xx = [X(i,1);X(i,2)];
    x = xx;
    xk = A*x + B*Ku*x;
    xp = xk;
    if (LForder == 2)
        Vpvv = [xp(1)^2; xp(1)*xp(2); xp(2)^2];
    elseif (LForder == 8)
        Vpvv = [xp(1)^2; xp(1)*xp(2); xp(2)^2; xp(1)^3; xp(1)^2*xp(2);x(1)*xp(2)^2;...
               xp(2)^3; xp(1)^4; xp(1)^3*xp(2); xp(1)^2*xp(2)^2; xp(1)*xp(2)^3; xp(2)^4;...
               xp(1)^5; xp(1)^4*xp(2); xp(1)^3*xp(2)^2; xp(1)^2*xp(2)^3; xp(1)*xp(2)^4; xp(2)^5;...
               xp(1)^6; xp(1)^5*xp(2); xp(1)^4*xp(2)^2; xp(1)^3*xp(2)^3; xp(1)^2*xp(2)^4; xp(1)*xp(2)^5;...
               xp(2)^6; xp(1)^7; xp(1)^6*xp(2); xp(1)^5*xp(2)^2; xp(1)^4*xp(2)^3; xp(1)^3*xp(2)^4;...
               xp(1)^2*xp(2)^5; xp(1)*xp(2)^6; xp(2)^7; xp(1)^8; xp(1)^7*xp(2); xp(1)^6*xp(2)^2;...
               xp(1)^5*xp(2)^3; xp(1)^4*xp(2)^4; xp(1)^3*xp(2)^5; xp(1)^2*xp(2)^6; xp(1)*xp(2)^7; xp(2)^8];
    elseif (LForder == 6)
        Vpvv = [xp(1)^2; xp(1)*xp(2); xp(2)^2; xp(1)^3; xp(1)^2*xp(2);x(1)*xp(2)^2;...
               xp(2)^3; xp(1)^4; xp(1)^3*xp(2); xp(1)^2*xp(2)^2; xp(1)*xp(2)^3; xp(2)^4;...
               xp(1)^5; xp(1)^4*xp(2); xp(1)^3*xp(2)^2; xp(1)^2*xp(2)^3; xp(1)*xp(2)^4; xp(2)^5;...
               xp(1)^6; xp(1)^5*xp(2); xp(1)^4*xp(2)^2; xp(1)^3*xp(2)^3; xp(1)^2*xp(2)^4; xp(1)*xp(2)^5;...
               xp(2)^6];
    elseif (LForder == 4)
        Vpvv = [xp(1)^2; xp(1)*xp(2); xp(2)^2; xp(1)^3; xp(1)^2*xp(2);x(1)*xp(2)^2;...
               xp(2)^3; xp(1)^4; xp(1)^3*xp(2); xp(1)^2*xp(2)^2; xp(1)*xp(2)^3; xp(2)^4];
    end
    gammma(i) = Vxc'*Vpvv;
end
[val,ind] = min(gammma);
point_gamma = [X(ind,1);X(ind,2)];
notfound = true;
while notfound
    if point_gamma + incr*point_gamma < Xpoly
            notfound = false;
    else
    gammma(ind) = 1000;
    [val,ind] = min(gammma);
    point_gamma = [X(ind,1);X(ind,2)];
    end
end

disp('gamma found')
val
end

