s1 = sdpvar(nuc,1);

params = [];
for j=1:nuc
    [s1(j),cc1{j},v1{j}] = polynomial(x,s1_deg);  
    params = [params;cc1{j}];
end
F1 = -Hu*u+hu-s1*px;
Model = [sos(F1),sos(s1)];
%ops = sdpsettings('sos.model',1,'sos.postprocess',1,'sos.numblkdg',1e-10,'solver','sdpt3','sdpt3.gaptol',1e-10,'sdpt3.inftol',1e-10,'sdpt3.steptol',1e-10,'sdpt3.maxit',100);
ops = sdpsettings('solver','mosek','mosek.MSK_DPAR_INTPNT_CO_TOL_DFEAS',optacc,'mosek.MSK_DPAR_INTPNT_CO_TOL_PFEAS',optacc,'mosek.MSK_DPAR_INTPNT_CO_TOL_REL_GAP',optacc,'sos.numblkdg',1e-12,'sos.model',1,'sos.postprocess',1);
%ops = sdpsettings(ops,'mosek.MSK_IPAR_PRESOLVE_USE','MSK_PRESOLVE_MODE_OFF','mosek.MSK_IPAR_INTPNT_SCALING','MSK_SCALING_NONE');
[sol,v,Qs,res] =solvesos(Model,[],ops,params);
sprob_s1 = sol.problem
if (max(res) > 1e-6)
    sprob_s1 = -10
end

if (sprob_s1 ~= 0)
    %ops = sdpsettings('sos.model',2,'sos.postprocess',0,'sos.numblkdg',0,'solver','sdpt3','sdpt3.gaptol',1e-10,'sdpt3.inftol',1e-10,'sdpt3.steptol',1e-10,'sdpt3.maxit',100);
    ops = sdpsettings('solver','mosek','mosek.MSK_DPAR_INTPNT_CO_TOL_DFEAS',optacc,'mosek.MSK_DPAR_INTPNT_CO_TOL_PFEAS',optacc,'mosek.MSK_DPAR_INTPNT_CO_TOL_REL_GAP',optacc,'sos.numblkdg',0,'sos.model',2,'sos.postprocess',0);
    %ops = sdpsettings(ops,'mosek.MSK_IPAR_PRESOLVE_USE','MSK_PRESOLVE_MODE_OFF','mosek.MSK_IPAR_INTPNT_SCALING','MSK_SCALING_NONE');
    [sol,v,Qs,res] =solvesos(Model,[],ops,params);
    sprob_s1 = sol.problem
    maxres = max(res)
end

if (max(res) > 1e-6)
    sprob_s1 = -10
end

if(sprob_s1 == 0)
    for j=1:nuc
        Cc1{j} = value(cc1{j});
        S1(j,1) = Cc1{j}'*v1{j};
    end
end