s7 = sdpvar(nx,1);
for j=1:nx
    [s7(j),cc7{j},v7{j}] = polynomial(x,s7_deg);
end

% State Constraints
Model = [];
for j=1:nx
    Model = [Model,sos((-(Hxp(j,:)*x-1)-s7(j)*(1-Vx)))];
    %Model = [Model,sos((-(Hxp(j,:)*x-1)-s7(j)*(1-1.001*Vx)))]; %Cheating
    Model = [Model,sos(s7(j))];
end

%Parameters of s7
params = [];
for j=1:nx
    params = [params;cc7{j}];
end

%ops = sdpsettings('sos.model',1,'sos.postprocess',1,'sos.numblkdg',1e-10,'solver','sdpt3','sdpt3.gaptol',1e-10,'sdpt3.inftol',1e-10,'sdpt3.steptol',1e-10,'sdpt3.maxit',100);
ops = sdpsettings('solver','mosek','mosek.MSK_DPAR_INTPNT_CO_TOL_DFEAS',optacc,'mosek.MSK_DPAR_INTPNT_CO_TOL_PFEAS',optacc,'mosek.MSK_DPAR_INTPNT_CO_TOL_REL_GAP',optacc,'sos.numblkdg',1e-10,'sos.model',1,'sos.postprocess',1);
%ops = sdpsettings(ops,'mosek.MSK_IPAR_PRESOLVE_USE','MSK_PRESOLVE_MODE_OFF','mosek.MSK_IPAR_INTPNT_SCALING','MSK_SCALING_NONE');
[sol,v,Qs,res] =solvesos(Model,[],ops,params);
sprob_s7 = sol.problem
if (max(res) > 1e-6)
    sprob_s7 = -10
end

if (sprob_s7 ~= 0)
    %ops = sdpsettings('sos.model',2,'sos.postprocess',0,'sos.numblkdg',0,'solver','sdpt3','sdpt3.gaptol',1e-10,'sdpt3.inftol',1e-10,'sdpt3.steptol',1e-10,'sdpt3.maxit',100);
    ops = sdpsettings('solver','mosek','mosek.MSK_DPAR_INTPNT_CO_TOL_DFEAS',optacc,'mosek.MSK_DPAR_INTPNT_CO_TOL_PFEAS',optacc,'mosek.MSK_DPAR_INTPNT_CO_TOL_REL_GAP',optacc,'sos.numblkdg',0,'sos.model',2,'sos.postprocess',0);
   % ops = sdpsettings(ops,'mosek.MSK_IPAR_PRESOLVE_USE','MSK_PRESOLVE_MODE_OFF','mosek.MSK_IPAR_INTPNT_SCALING','MSK_SCALING_NONE');
    [sol,v,Qs,res] =solvesos(Model,[],ops,params);
    sprob_s7 = sol.problem
    maxres = max(res)
end

if (max(res) > 1e-6)
    sprob_s7 = -10
end

if (sprob_s7 == 0)
    for j=1:nx
        Cc7{j} = value(cc7{j});
        S7(j,1) = Cc7{j}'*v7{j};
    end
end